Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.

Bug 479185

Summary: Both evdev and vmmouse driver are active in vmware guest in FC9 update
Product: [Fedora] Fedora Reporter: Shelley Gong <shelleygong>
Component: xorg-x11-drv-vmmouseAssignee: Peter Hutterer <peter.hutterer>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 9CC: xgl-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-01-08 20:44:25 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
The hal output
none
xorg conf
none
Xorg log none

Description Shelley Gong 2009-01-07 14:48:01 EST
Created attachment 328407 [details]
The hal output

Description of problem:
With FC9 update where the kernel is 2.6.27.9-73.fc9.i686 and Xorg server is 1.5.2, the vmware vmmouse is detected automatically and loaded without installing vmware tools. Beside the vmmouse, another device seems to process the mouse event as well. So the mouse is not working reliably.

If I disable the evdev by the following in xorg.conf and manually config vmmuose, it works fine.

Section "ServerFlags"
        Option "AutoAddDevices" "false"
EndSection

Also it works fine with FC10 and ubuntu 8.10.

Version-Release number of selected component (if applicable): evdev 2.0.8, vmmouse 12.6.2


How reproducible: 100%


Steps to Reproduce:
1. Install FC9 in vmware
2. Update the system by yum
3. Restart hal and X server
  
Actual results:
The mouse is not working reliably and it seems both vmmouse and another driver (evdev) are processing the mouse event.

Expected results:
Just vmmouse driver processses the event.

Additional info:
Comment 1 Shelley Gong 2009-01-07 14:49:35 EST
Created attachment 328408 [details]
xorg conf
Comment 2 Shelley Gong 2009-01-07 14:50:09 EST
Created attachment 328409 [details]
Xorg log
Comment 3 Peter Hutterer 2009-01-08 19:42:03 EST
what happens if you set Option "AllowEmptyInput" "on" in the ServerLayout? Does it work then?
Comment 4 Shelley Gong 2009-01-08 20:23:11 EST
Yes, it works.
Comment 5 Peter Hutterer 2009-01-08 20:44:25 EST

*** This bug has been marked as a duplicate of bug 471172 ***